#
# spec file for package perl-Gearman
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Gearman
Version:        2.004.015
Release:        1.1
%define cpan_name Gearman
Summary:        Client and worker libraries for gearman job dispatch dispatch. Server is[cut]
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PA/PALIK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Which)
BuildRequires:  perl(IO::Socket::IP)
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Perl::OSType)
BuildRequires:  perl(Proc::Guard) >= 0.07
BuildRequires:  perl(String::CRC32)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::TCP) >= 2.17
BuildRequires:  perl(Test::Timer)
BuildRequires:  perl(version) >= 0.77
Requires:       perl(IO::Socket::IP)
Requires:       perl(IO::Socket::SSL)
Requires:       perl(List::MoreUtils)
Requires:       perl(String::CRC32)
Requires:       perl(version) >= 0.77
%{perl_requires}

%description
Client and worker libraries for gearman job dispatch dispatch. Server is in separate package.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES README TODO

%changelog
* Sun Oct  7 2018 opensuse@dstoecker.de
- Fix autogenerated changes
* Sat Aug 25 2018 coolo@suse.com
- updated to 2.004.015
  see /usr/share/doc/packages/perl-Gearman/CHANGES
  2.004.015 2018-08-24 16:41:00 Europe/Berlin
    add documentation of client's undocumented options
  - https://github.com/p-alik/perl-Gearman/issues/40
    add example explains usage of work sub's callbacks.
  - https://github.com/p-alik/perl-Gearman/issues/41
* Wed Mar 14 2018 coolo@suse.com
- updated to 2.004.014
  see /usr/share/doc/packages/perl-Gearman/CHANGES
  2.004.014 2018-03-13 19:28:00 Europe/Berlin
  - prevent recursion warnings
    https://github.com/p-alik/perl-Gearman/issues/38
* Wed Feb  7 2018 coolo@suse.com
- updated to 2.004.0013
  see /usr/share/doc/packages/perl-Gearman/CHANGES
  2.004.013 2018-02-05 16:45:00 Europe/Berlin
  - bug fixing: Gearman::Util::read_res_packet
    https://github.com/p-alik/perl-Gearman/issues/37
  2.004.012 2018-01-04 11:03:00 Europe/Berlin
  - bug fixing timestamp taskset wait shows unaltered timestamp on fail
    https://github.com/p-alik/perl-Gearman/issues/35
  2.004.011 2017-12-22 16:05:00 Europe/Berlin
  - bug fixing client doesn't on_fail on timeout
    https://github.com/p-alik/perl-Gearman/issues/33
  - peculiar handling of ssl-sockets in taskset->wait to avoid freezing
    https://github.com/p-alik/perl-Gearman/issues/32
  2.004.010 2017-11-19 14:46:00 Europe/Berlin
  - bug fixing worker high CPU usage in idle state
    https://github.com/p-alik/perl-Gearman/issues/28
  - switch to blocking to continue fetching partial read
    https://github.com/p-alik/perl-Gearman/pull/30
  - pod notes with regard to usage of UTF-8
    https://github.com/p-alik/perl-Gearman/issues/27
  2.004.009 2017-10-08 21:04:00 Europe/Berlin
  - bug fixing Worker->work: register functions on reconnect.
    see: https://github.com/p-alik/perl-Gearman/issues/23
  - Gearman::Client->do_task invokes Gearman::Task on_complete hook, if it is defined
  - add documentation of Gearman::Client exceptions property
  2.004.008 2017-06-13 13:35:00 Europe/Berlin
  - bug fixing: double worker registration
    https://github.com/p-alik/perl-Gearman/issues/21
  - tests start gearmand with --log-file option. Default /dev/stderr
  2.004.007 2017-05-30 10:51:00 Europe/Berlin
  - bug fix: stringify job server in
  - get_job_server_status
  - get_job_server_clients
  - get_job_server_jobs
  2.004.006 2017-05-25 18:39:00 Europe/Berlin
  - bug fixing: Taskset->add_task support for large data
  - ssl tests large task data and large work result
  2.004.005 2017-05-19 13:11:00 Europe/Berlin
  - new worker method send_work_exception
  - send_work_fail does not support message parameter
  2.004.004 2017-05-09 07:53:00 Europe/Berlin
  - refactoring: Taskset carefully loops over loaned_sock
  2.004.003 2017-04-11 22:24:00 Europe/Berlin
  - Client and Worker could set SSL ca_file parameter
  - Taskset.pm refactoring:
    replace fileno handling by IO::Select
  2.004.002 2017-04-11 11:01:00 Europe/Berlin
  - do not force Client and Worker to set useless SSL ca_certs parameter
  2.004.001 2017-04-11 14:38:00 Europe/Berlin
  - Gearman::Client and Gearman::Worker could set prefix separator
  - It would be recommended to replace default prefix separator to insure
    gearmand persistent queue recovery.
  2.003.002 2017-03-26 22:01:00 Europe/Berlin
  - tests are perl 5.25 ready (use lib .)
  - - GEARMAN_WORKER_USE_STDIO test only with AUTHOR_TESTING
  2.003.001 2017-03-13 21:47:00 Europe/Berlin
  - - test compatibility for gearmand and Gearman::Server
  2.003_002 2017-03-02 14:45:00 Europe/Berlin
  - - restore Gearman::Client::Async support. #10
  - - try to bug fix ssl callback testing
  2.003_001 2017-02-18 18:37:00 Europe/Berlin
  - - worker:
  - - remove THROW_EXCEPTIONS defination in BEGIN block
  - - add support of protocol commands WORK_DATA and WORK_WARNING
  - - new methods:
  - - send_work_data
  - - send_work_warning
  - - send_work_complete
  - - send_work_fail
  - - _get_js_sock: no execution of object _on_connect if callback is defined
  - - fixing client do_task: do not overwrite on_fail callback
  - - Gearman::Task support of low priority
  - - remove Ref::Util dependency
  2.002.004 2016-12-05 09:02:16 Europe/Berlin
  - - requires Ref::Util >= 0.020; see cpan tester report 848fbc3e-b94f-11e6-8baf-a6caeafb6ca6
  - - Makefile.PL updates
    LICENSE: perl
    min perl version 5.8.1
  - - fixing worker GEARMAN_WORKER_USE_STDIO env test
  2.002.003 2016-12-04 22:13:00 Europe/Berlin
  - - add DISTNAME into Makefile.PL to get back to the old distribution name
  2.002.002 2016-12-03 12:10:00 Europe/Berlin
  - - skip worker stop_if test if no gearmand
  2.002.001 2016-12-02 22:01:00 Europe/Berlin (TRIAL RELEASE)
  - - job_servers entries could be a hash references or string
  - - bug fixing Gearman::Util::send_req() SSL frame limitation (esabol)
  2.001.001 2016-10-13 10:45:00 Europe/Berlin (TRIAL RELEASE)
  - - support for SSL connection to gearmand
  - - support IPv6
  - - tests refactoring
* Sat Oct  8 2016 coolo@suse.com
- updated to 1.130.004
  see /usr/share/doc/packages/perl-Gearman/CHANGES
  1.130.004 (2016-08-06)
  - - add Gearman::ResponseParser pod
  - - add Gearman::ResposeParser::Taskset pod
  - - rename Gearman::Taskset->_process_packet to process_packet
  - - issue 116744 Utility pod
  1.130.003 (2016-08-05)
  - - check OS in Test::Gearman and don't use "which" on Windows
  - - replace 'use Errno qw(EAGAIN)' by 'POSIX qw(:errno_h)'
    see: http://www.cpantesters.org/cpan/report/d801a704-5975-11e6-9451-9b92aab8e0c0
  1.130.002 (2016-08-03)
  - - skip worker _get_js_sock test without gearmand
  1.130.001 (2016-08-02)
  - - refactoring of Gearman::Util::read_res_packet: no goto/redo
  - - test suite refactoring
  - - solved issue 85191 Programming error prevents Gearman::Worker::work() from connecting to servers
  - - solved issue 59185 document Gearman::Client::get_status
  - - solved issue 56508 using $task->fail("reason goes here") in Gearman::Taskset
  1.12.009 (2016-06-04)
  - - run t/30-maxqueue.t and t/40-prefix.t only with AUTHOR_TESTING
  - - s/::Object/::Objects/
  1.12.008 (2016-06-03)
  - - rename Gearman::Base back to Geamrman::Object because Gearman-Client-Async depends on it
  1.12.007 (2016-05-20)
  - - more tests only with AUTHOR_TESTING
  1.12.006 (2016-05-19)
  - - tests refactoring
  - - execute some tests only if AUTHOR_TESTING env is defined
  1.12.005 (2016-05-06)
  - - rm META.*
  1.12.004 (2016-05-06)
  - - solved issue 5324ce04-0bae-11e6-a317-839d20bbf307
    there was a bug in test script
  1.12.003 (2016-05-01)
  - - tested with perl5-22-1 to improve cpan tester resport
    5324ce04-0bae-11e6-a317-839d20bbf307
  - - fields moved from Gearman::Objects to proper modules
  - - rm obsolete Gearman::Objects
  - - use warnings (except redefine)
  - - perltidy applied to all modules
  1.12.002 (2014-12-19)
  - - attempt to fix bugs: 89037, 100594, 101012
  - - cpan tester report 586f5968-8489-11e4-adb9-802de0bfc7aa is - ugly - fixed too
  - - refactoring: Client/Worker base class added
  - - dynamic tests by using environment variable GEARMAN_SERVERS
* Sat May  2 2015 coolo@suse.com
- updated to 1.12
  see /usr/share/doc/packages/perl-Gearman/CHANGES
  1.12 (2014-12-14)
  - - Repoint HACKING file.
  - - Make a jobserver connection use the command timeout during exception negotiation.
  - - Make $taskset->add_task use the command timeout to not hang during job submission.
  - - Add a client option 'command_timeout' to indicate how long we should wait before considering a
    gearman command to have failed. This not the same as a job timeout, and only affects commands
    that should generally not block apart from the roundtrip on the network.
  - - When a connection to a gearman server fails, start counting how many failures we've had and
    do an exponential backoff (1s, 4s, 9s, 16s...) to a maximum of 90 seconds (default) that we
    treat the server as 'gone' quickly.
  - - Change dispatch_background to share code paths with other dispatching, this will make
    background jobs now be hashed to a particular server (rather than handed to a random server)
* Mon May 30 2011 lars@linux-schulserver.de
- initial package 1.11
  * created by cpanspec 1.78.03
